/**
 * repraesentiert ein Bankkonto in der Banksimulation
 * @author Martin Ploetz
 *
 */
public class Konto {

	// Konstanten fuer Kontoinformationen
	private final int kontonr;
	private final Kunde besitzer;
	private final Bank bank;
	
	// Variable fuer Kontostand
	private double kontostand;
	
	/**
	 * Konto-Konstruktor
	 * @param kontonr Kontonummer
	 * @param kunde Kunde dem das Konto gehoert
	 * @param bank Bank zu der das Konto gehoert
	 */
	public Konto(int kontonr, Kunde kunde, Bank bank) {
		this.kontonr = kontonr;
		this.besitzer = kunde;
		this.bank = bank;
		
		kontostand = 0.0;
	}

	public int getKontonr() {
		return kontonr;
	}

	public Kunde getBesitzer() {
		return besitzer;
	}

	public Bank getBank() {
		return bank;
	}

	public double getKontostand() {
		return kontostand;
	}
	
	/**
	 * erhoeht den Kontostand um den uebergebenen Betrag
	 * @param betrag
	 */
	public void einzahlen(double betrag){
		kontostand+=betrag;
	}
	
	/**
	 * mindert den Kontostand um den uebergebenen Betrag, wennm dadurch das Konto nicht ueberzogen wird
	 * @param betrag
	 */
	public void auszahlen(double betrag){
		if(kontostand-betrag > 0){
			kontostand-=betrag;
		}else{
			System.out.println("Auszahlung nicht mglich da Konto nicht gengend gedeckt");
		}
	}

}
